%define rname compositing-wm
%define imgname mageia-top

Name: %{rname}-common
Version: 2018.0
Release: %mkrel 4
Summary: Common tools for compositing window managers
Group: System/X11
URL: http://www.mandriva.com
Source0: %{rname}.xinit
Source1: %{rname}.sysconfig
Source2: %{rname}-start
License: GPLv2+
Requires: glxinfo
Requires: xvinfo
Provides:	%{name} = %{version}-%{release}

%description
This package contains tools for compositing window managers, such as
Compiz. This includes X session scripts, configuration files and
images.

%prep
%setup -q -c -T

%install
install -D -m 0755 %SOURCE0 %{buildroot}%{_sysconfdir}/X11/xinit.d/40%{rname}
install -D -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/sysconfig/%{rname}
install -D -m 0755 %SOURCE2 %{buildroot}%{_bindir}/%{rname}-start
perl -pi -e "s!__LIBDIR__!%{_libdir}!" %{buildroot}%{_bindir}/%{rname}-start


# And a default config to override some defaults
mkdir -p %{buildroot}%{_sysconfdir}/xdg/compiz
cat >%{buildroot}%{_sysconfdir}/xdg/compiz/compiz-manager <<EOF
# We start the decorator via compiz' decoration plugin so set it to "no" here.
START_DECORATOR="no"
EOF

%files
%{_sysconfdir}/X11/xinit.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/%{rname}
%dir %{_sysconfdir}/xdg/compiz/
%config(noreplace) %{_sysconfdir}/xdg/compiz/compiz-manager
%{_bindir}/%{rname}-start


%changelog
* Sat Oct 09 2021 yodelu 2018.0-4pclos2021
- rebuild

* Fri Nov 13 2020 yodelu 2018.0-3.pclos2020
- updated scripts (mageia)

* Tue Nov 10 2020 yodelu 2018.0-2.pclos2020
- rebuild

* Mon Apr 21 2020 yodelu 2018.0-2.pclos2020
- Imported again to pclinuxos

